Index: trunk/SophyaProg/PrgMap/Makefile
===================================================================
--- trunk/SophyaProg/PrgMap/Makefile	(revision 2751)
+++ trunk/SophyaProg/PrgMap/Makefile	(revision 2765)
@@ -12,33 +12,32 @@
 	echo $@ " done"
 $(SOPHYAEXEP)cl2map: $(SOPHYAOBJP)cl2map.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)cl2map.o $(SOPHYAEXTSLBLIST)
  
 map2cl: $(SOPHYAEXEP)map2cl
 	echo $@ " done"
 $(SOPHYAEXEP)map2cl: $(SOPHYAOBJP)map2cl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)map2cl.o $(SOPHYAEXTSLBLIST)
  
 prjsmap: $(SOPHYAEXEP)prjsmap
 	echo $@ " done"
 $(SOPHYAEXEP)prjsmap: $(SOPHYAOBJP)prjsmap.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)prjsmap.o $(SOPHYAEXTSLBLIST)
  
 cremskfrsph: $(SOPHYAEXEP)cremskfrsph
 	echo $@ " done"
 $(SOPHYAEXEP)cremskfrsph: $(SOPHYAOBJP)cremskfrsph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)cremskfrsph.o $(SOPHYAEXTSLBLIST)
  
 extrapsph: $(SOPHYAEXEP)extrapsph
 	echo $@ " done"
 $(SOPHYAEXEP)extrapsph: $(SOPHYAOBJP)extrapsph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrapsph.o $(SOPHYAEXTSLBLIST)
  
 extrap2sph: $(SOPHYAEXEP)extrap2sph
 	echo $@ " done"
 $(SOPHYAEXEP)extrap2sph: $(SOPHYAOBJP)extrap2sph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
- 
-$(SOPHYAOBJP)cl2map.o: cl2map.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -109,5 +108,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cl2map.cc
  
 $(SOPHYAOBJP)cremskfrsph.o: cremskfrsph.cc \
@@ -154,5 +153,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cremskfrsph.cc
  
 $(SOPHYAOBJP)extrap2sph.o: extrap2sph.cc \
@@ -199,5 +198,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
 $(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
@@ -244,8 +243,7 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)map2cl.o: map2cl.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
+ 
+$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -316,8 +314,7 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
+ 
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -388,4 +385,4 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  prjsmap.cc
+ 
Index: trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- trunk/SophyaProg/PrgMap/smakefile	(revision 2751)
+++ trunk/SophyaProg/PrgMap/smakefile	(revision 2765)
@@ -12,33 +12,32 @@
 	echo $@ " done"
 $(SOPHYAEXEP)cl2map: $(SOPHYAOBJP)cl2map.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)cl2map.o $(SOPHYAEXTSLBLIST)
  
 map2cl: $(SOPHYAEXEP)map2cl
 	echo $@ " done"
 $(SOPHYAEXEP)map2cl: $(SOPHYAOBJP)map2cl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)map2cl.o $(SOPHYAEXTSLBLIST)
  
 prjsmap: $(SOPHYAEXEP)prjsmap
 	echo $@ " done"
 $(SOPHYAEXEP)prjsmap: $(SOPHYAOBJP)prjsmap.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)prjsmap.o $(SOPHYAEXTSLBLIST)
  
 cremskfrsph: $(SOPHYAEXEP)cremskfrsph
 	echo $@ " done"
 $(SOPHYAEXEP)cremskfrsph: $(SOPHYAOBJP)cremskfrsph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)cremskfrsph.o $(SOPHYAEXTSLBLIST)
  
 extrapsph: $(SOPHYAEXEP)extrapsph
 	echo $@ " done"
 $(SOPHYAEXEP)extrapsph: $(SOPHYAOBJP)extrapsph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrapsph.o $(SOPHYAEXTSLBLIST)
  
 extrap2sph: $(SOPHYAEXEP)extrap2sph
 	echo $@ " done"
 $(SOPHYAEXEP)extrap2sph: $(SOPHYAOBJP)extrap2sph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
- 
-$(SOPHYAOBJP)cl2map.o: cl2map.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -109,5 +108,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cl2map.cc
  
 $(SOPHYAOBJP)cremskfrsph.o: cremskfrsph.cc \
@@ -154,5 +153,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cremskfrsph.cc
  
 $(SOPHYAOBJP)extrap2sph.o: extrap2sph.cc \
@@ -199,5 +198,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
 $(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
@@ -244,8 +243,7 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)map2cl.o: map2cl.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
+ 
+$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -316,8 +314,7 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
+ 
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -388,4 +385,4 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitstarray.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  prjsmap.cc
+ 
